#
# spec file for package perl-Finance-Quote
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Finance-Quote
Url:            http://finance-quote.sourceforge.net/
Requires:       perl
Requires:       perl-Crypt-SSLeay
Requires:       perl-HTML-Parser
Requires:       perl-HTML-TableExtract
Requires:       perl-HTML-TokeParser-Simple
Requires:       perl-HTML-Tree
Requires:       perl-HTTP-Message
Requires:       perl-URI
Requires:       perl-base
Requires:       perl-libwww-perl
Summary:        Provides access to time-delayed stockquotes
License:        GPL-2.0+
Group:          Development/Libraries/Perl
Version:        1.18
Release:        38.1
Source:         Finance-Quote-%{version}.tar.gz
Patch:          perl-Finance-Quote-LeRevenu.patch
Patch11:        perl-Finance-Quote-debian-03_whatis.patch
Patch12:        perl-Finance-Quote-debian-04_deka.patch
Patch13:        perl-Finance-Quote-debian-06_seb.patch
Patch14:        perl-Finance-Quote-debian-08_deka.patch
Patch15:        perl-Finance-Quote-debian-10_whatis.patch
Patch60:        perl-Finance-Quote-66235-Cdnfundlibrary-row.patch
Patch61:        perl-Finance-Quote-70690-IndiaMutual-temp.patch
Patch62:        perl-Finance-Quote-65269-ftfunds.patch
Patch63:        perl-Finance-Quote-64897-0001-adopted-to-site-changes.patch
Patch64:        perl-Finance-Quote-64897-0002-support-palladium-lookup.patch
Patch65:        perl-Finance-Quote-57401-financecanada.patch 
Patch66:        perl-Finance-Quote-61750-comdirect.patch 
Patch67:        perl-Finance-Quote-62619-vwd.patch
Patch68:        perl-Finance-Quote-64474-stooq.patch
Patch69:        perl-Finance-Quote-70690-IndiaMutual-temp-del.patch
Patch100:       perl-Finance-Quote-fsf-address.patch
Patch101:       perl-Finance-Quote-goldmoney-decimal-point.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
Finance::Quote provides access to time-delayed stockquotes from a
number of sources.  After you've installed the pacakage, try 'perldoc
Finance::Quote' for full information.  Alternatively, you can 'perldoc
lib/Finance/Quote.pm' before the install.

%prep
%setup -q -n Finance-Quote-%{version}
%patch -p1
%patch11
%patch12
%patch13
%patch14
%patch15
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch69 -p1
%patch100 -p1
%patch101 -p1
rm -f lib/Finance/*.orig lib/Finance/Quote/*.orig
mv Documentation/README Documentation/README2

%build
perl Makefile.PL
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog ChangeLog.1 MANIFEST README Documentation/*
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Finance
%{perl_vendorarch}/auto/Finance

%changelog
* Fri Jan 25 2013 sbrabec@suse.cz
- Update to version 1.18 (bnc#800797):
  * many updates for server changes
  * new modules
  * code cleanup
- Drop perl-Finance-Quote-fedora-tiaa-cref.patch: New code is a
  different implementation and it supports institutional funds as
  well.
- Update Requires.
* Mon Jan 16 2012 sbrabec@suse.cz
- Updated to the current upstream GIT snapshot (many updates for
  server changes).
- Added fixes from upstream bug tracker:
  * Fix GoldMoney server changes, add palladium (CPAN#64897).
  * Rewrite Finance Canada after server changes (CPAN#57401).
  * Partial rewrite ov VWD due to server changes (CPAN#62619).
  * Fix Cdnfundlibrary to retrieve newest NAV (CPAN#66235).
  * Fix use of /tmp file in IndiaMutual (CPAN#70690).
  * New modules:
  * Comdirect (CPAN#61750)
  * Stooq (CPAN#64474)
  * FTFunds (CPAN#65269)
- Added Fedora fix:
  * Fix TIAA-CREF (Redhat#668935).
- Added all Debian fixes.
- Yahoo fixes ported to the upstream GIT.
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Mon Jun 21 2010 sbrabec@suse.cz
- Fix of LeRevenu module crash due to a change on lerevenu.com web
  site (bnc#555687).
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Oct 19 2009 sbrabec@suse.cz
- Updated to version 1.17 (bnc498310#c4):
  * Site layout updates: Cominvest, Yahoo (currencies adapted to
    yahoo denomination), ASX.
  * Fixes for: Yahoo Europe, Goldmoney, IndiaMutual, GBp, possible
    wrong year range in Yahoo.
  * New support for: Hungarian stocks, Goldmoney Platinum.
  * Removed: Broken futures support for AEX.
* Thu Apr 23 2009 sbrabec@suse.cz
- Updated to version 1.16:
  * Fixed or updated site layout parsing of:
    Bourso, Morningstar, AEX, ITE is now RZR, ZA, Goldmoney,
    Ashwin, Finanzpartner.
  * New currency lookup support.
  * Fixed 12:XXpm formatted time handling.
- Require all needed perl modules (bnc#496738).
* Mon Oct 27 2008 sbrabec@suse.cz
- Updated to version 1.15:
  * IndiaMutual: Fix symbol not set it module.
  * isoTime - make sure $hours and $mins are treated as numbers,
    use sprintf
* Wed Oct 15 2008 sbrabec@suse.cz
- Updated to version 1.14:
  * Added support for Finanzpartner, Cominvest, TSX.
  * Fixed or updated site layout parsing of TIAA CREF,
    Stockhouse Canada, DWS, VWD, AEX, Yahoo Brasil, SEB,
    Association of Mutual Funds in India.
  * Fixes.
  * Reorganization of test cases.
* Thu Aug 23 2007 sbrabec@suse.cz
- New SuSE package, version 1.13 (#242504).
